Asset Program Configs
An Asset Program Config defines how an Asset Program is configured for a specific merchant. It is created after a merchant has an approved Asset Program Membership and wants to enable the asset program for payments.
An Asset Program Config manages the relationship between a specific merchant and an Asset Program, defining how the program's assets will be configured as payment options for that merchant. These configs can be created even if the Asset Program Membership is not yet fully in effect, but they will only become active when all requirements are met: the membership must be both approved by the asset program owner and accepted by the business account. This allows businesses to prepare their payment configurations in advance while ensuring proper authorization before assets can be accepted as payments.
Asset Program Config Model
Attributes
Create Asset Program Config experimental
This endpoint allows you to create an Asset Program Config for an approved Asset Program Membership.
Attributes
id
stringrequiredmerchantId
stringrequired
Errors
ASSET_PROGRAM_MEMBERSHIP_NOT_APPROVED
403MERCHANT_ACCOUNT_MISMATCH
403
curl -X POST https://service.centrapay.com/api/asset-program-memberships/apm_Xv990BzkgfoDS7bBls50pd/asset-program-configs \-H 'content-type: application/json' \-H 'x-api-key: <TOKEN>' \-d '{ "merchantId": "5ee0c486308f590260d9a07f"}'{ "id": "apc_WRhAxxWpTKb5U7pXyxQjjY", "accountId": "Jaim1Cu1Q55uooxSens6yk", "assetProgramId": "ap_WRhAxxWpTKb5U7pXyxQjjY", "assetProgramMembershipId": "apm_Xv990BzkgfoDS7bBls50pd", "merchantId": "5ee0c486308f590260d9a07f", "enabled": true, "status": "active", "test": false, "createdAt": "2021-08-25T00:02:49.488Z", "createdBy": "crn::user:b657195e-dc2f-11ea-8566-e7710d592c99", "updatedAt": "2021-08-25T00:02:49.488Z", "updatedBy": "crn::user:b657195e-dc2f-11ea-8566-e7710d592c99"}Get Asset Program Config experimental
This endpoint allows you to retrieve a specific Asset Program Config.
Attributes
id
stringrequired
curl -X GET https://service.centrapay.com/api/asset-program-configs/apc_WRhAxxWpTKb5U7pXyxQjjY \-H 'x-api-key: <TOKEN>'{ "id": "apc_WRhAxxWpTKb5U7pXyxQjjY", "accountId": "Jaim1Cu1Q55uooxSens6yk", "assetProgramId": "ap_WRhAxxWpTKb5U7pXyxQjjY", "assetProgramMembershipId": "apm_Xv990BzkgfoDS7bBls50pd", "merchantId": "5ee0c486308f590260d9a07f", "enabled": true, "status": "active", "test": true, "createdAt": "2021-08-25T00:02:49.488Z", "createdBy": "crn::user:b657195e-dc2f-11ea-8566-e7710d592c99", "updatedAt": "2021-08-25T00:02:49.488Z", "updatedBy": "crn::user:b657195e-dc2f-11ea-8566-e7710d592c99"}List Asset Program Configs by Asset Program experimental
This endpoint allows you to list Asset Program Configs for a specific Asset Program.
Attributes
id
stringrequiredpageKey
stringpaginationLimit
number
Response
items
arraynextPageKey
string
curl -X GET https://service.centrapay.com/api/asset-programs/ap_WRhAxxWpTKb5U7pXyxQjjY/asset-program-configs \-H 'x-api-key: <TOKEN>'{ "items": [ { "id": "apc_WRhAxxWpTKb5U7pXyxQjjY", "accountId": "Jaim1Cu1Q55uooxSens6yk", "assetProgramId": "ap_WRhAxxWpTKb5U7pXyxQjjY", "assetProgramMembershipId": "apm_Xv990BzkgfoDS7bBls50pd", "merchantId": "5ee0c486308f590260d9a07f", "enabled": true, "status": "active", "test": true, "createdAt": "2021-08-25T00:02:49.488Z", "createdBy": "crn::user:b657195e-dc2f-11ea-8566-e7710d592c99", "updatedAt": "2021-08-25T00:02:49.488Z", "updatedBy": "crn::user:b657195e-dc2f-11ea-8566-e7710d592c99" } ], "nextPageKey": "eyJjcmVhdGVkQXQiOiIyMDIxLTA4LTI1VDAwOjAyOjQ5LjQ4OFoifQ=="}List Asset Program Configs by Account experimental
This endpoint allows you to list Asset Program Configs for a specific Account.
Attributes
id
stringrequiredpageKey
stringpaginationLimit
number
Response
items
arraynextPageKey
string
curl -X GET https://service.centrapay.com/api/accounts/Jaim1Cu1Q55uooxSens6yk/asset-program-configs \-H 'x-api-key: <TOKEN>'{ "items": [ { "id": "apc_WRhAxxWpTKb5U7pXyxQjjY", "accountId": "Jaim1Cu1Q55uooxSens6yk", "assetProgramId": "ap_WRhAxxWpTKb5U7pXyxQjjY", "assetProgramMembershipId": "apm_Xv990BzkgfoDS7bBls50pd", "merchantId": "5ee0c486308f590260d9a07f", "enabled": true, "status": "active", "test": true, "createdAt": "2021-08-25T00:02:49.488Z", "createdBy": "crn::user:b657195e-dc2f-11ea-8566-e7710d592c99", "updatedAt": "2021-08-25T00:02:49.488Z", "updatedBy": "crn::user:b657195e-dc2f-11ea-8566-e7710d592c99" } ], "nextPageKey": "eyJjcmVhdGVkQXQiOiIyMDIxLTA4LTI1VDAwOjAyOjQ5LjQ4OFoifQ=="}